const keymap = {
	"1": ["１", "？", null, "！"],
	"2": ["２", "／", null, "”"],
	"3": ["３", null, null, "＃"],
	"4": ["４", "「", null, "＄"],
	"5": ["５", "」", null, "％"],
	"6": ["６", null, "［", "＆"],
	"7": ["７", null, "］", "’"],
	"8": ["８", null, "（", "（"],
	"9": ["９", null, "）", "）"],
	"0": ["０", null, null, "～"],
	"-": ["－", null, null, "＝"],
	"=": ["＾", null, null, "～"],
	"q": ["。", "ぁ", null, "Ｑ"],
	"w": ["か", "え", "が", "Ｗ"],
	"e": ["た", "り", "だ", "Ｅ"],
	"r": ["こ", "ゃ", "ご", "Ｒ"],
	"t": ["さ", "れ", "ざ", "Ｔ"],
	"y": ["ら", "ぱ", "よ", "Ｙ"],
	"u": ["ち", "ぢ", "に", "Ｕ"],
	"i": ["く", "ぐ", "る", "Ｉ"],
	"o": ["つ", "づ", "ま", "Ｏ"],
	"p": ["，", "ぴ", "ぇ", "Ｐ"],
	"[": ["、", null, null, "‘"],
	"]": ["゛", null, "゜", "｛"],
	"\\": ["］", null, null, "｝"],
	"a": ["う", "を", null, "Ａ"],
	"s": ["し", "あ", "じ", "Ｓ"],
	"d": ["て", "な", "で", "Ｄ"],
	"f": ["け", "ゅ", "げ", "Ｆ"],
	"g": ["せ", "も", "ぜ", "Ｇ"],
	"h": ["は", "ば", "み", "Ｈ"],
	"j": ["と", "ど", "お", "Ｊ"],
	"k": ["き", "ぎ", "の", "Ｋ"],
	"l": ["い", "ぽ", "ょ", "Ｌ"],
	";": ["ん", null, "っ", "＋"],
	"'": ["：", null, null, "＊"],
	"z": ["．", "ぅ", null, "Ｚ"],
	"x": ["ひ", "ー", "び", "Ｘ"],
	"c": ["す", "ろ", "ず", "Ｃ"],
	"v": ["ふ", "や", "ぶ", "Ｖ"],
	"b": ["へ", "ぃ", "べ", "Ｂ"],
	"n": ["め", "ぷ", "ぬ", "Ｎ"],
	"m": ["そ", "ぞ", "ゆ", "Ｍ"],
	",": ["ね", "ぺ", "む", "＜"],
	".": ["ほ", "ぼ", "わ", "＞"],
	"/": ["・", null, "ぉ", "？"],
};
